Overview | Package | Class | Tree | Deprecated | Index | Help
| ContactCenters V. 0.9.9.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## umontreal.iro.lecuyer.contactcenters.ctmc
Interface ProbInAWT

All Known Implementing Classes:
  ProbInAWTBinomial, ProbInAWTGamma

    public interface ProbInAWT

Represents an object that can compute information on the waiting time distribution conditional on the total number of transitions during a time horizon, the transition rate, and the number of transitions spent in queue by a particular contact.

Method Summary
`double` | `getAWT()` Returns the currently used acceptable waiting time.
`double` | `getExpectedWaitingTime(int delta)` Returns the expected waiting time for a contact having spent `delta` transitions in queue.
`double` | `getExpectedWaitingTimeGTAWT(int delta)` Returns the expected waiting time conditional that the waiting time is greater than the acceptable waiting time, for a contact having spent `delta` transitions into the queue.
`double` | `getJumpRate()` Returns the currently used transition rate.
`int` | `getNumTransitions()` Returns the currently used number of transitions.
`double` | `getProbInAWT(int delta)` Returns the probability that the waiting time of a contact having spent `delta` transitions in the queue is smaller than the current acceptable waiting time.
`double` | `getTimeHorizon()` Returns the currently used time horizon.
`void` | `init(double awt, double jumpRate, double timeHorizon, int numTransitions)` Initializes this object with a new acceptable waiting time, transition rate, time horizon, and number of transitions.

Method Detail

### getProbInAWT

    double getProbInAWT(int delta)

  Returns the probability that the waiting time of a contact having spent `delta` transitions in the queue is smaller than the current acceptable waiting time.

  Parameters:
    `delta` - the number of transitions spent in queue by the contact.
  Returns:
    the probability of the waiting time being smaller than the threshold.

### getExpectedWaitingTime

    double getExpectedWaitingTime(int delta)

  Returns the expected waiting time for a contact having spent `delta` transitions in queue.

  Parameters:
    `delta` - the number of transitions spent in queue.
  Returns:
    the expected waiting time.

### getExpectedWaitingTimeGTAWT

    double getExpectedWaitingTimeGTAWT(int delta)

  Returns the expected waiting time conditional that the waiting time is greater than the acceptable waiting time, for a contact having spent `delta` transitions into the queue.

  Parameters:
    `delta` - the number of transitions spent into the queue.
  Returns:
    the expected waiting time.

### getJumpRate

    double getJumpRate()

  Returns the currently used transition rate.

  Returns:
    the transition rate.

### getAWT

    double getAWT()

  Returns the currently used acceptable waiting time.

  Returns:
    the acceptable waiting time.

### getTimeHorizon

    double getTimeHorizon()

  Returns the currently used time horizon.

  Returns:
    the time horizon.

### getNumTransitions

    int getNumTransitions()

  Returns the currently used number of transitions.

  Returns:
    the current number of transitions.

### init

    void init(double awt,
              double jumpRate,
              double timeHorizon,
              int numTransitions)

  Initializes this object with a new acceptable waiting time, transition rate, time horizon, and number of transitions.

  Parameters:
    `awt` - the new acceptable waiting time.
    `jumpRate` - the new transition rate.
    `timeHorizon` - the new time horizon.
    `numTransitions` - the new number of transitions.

Overview | Package | Class | Tree | Deprecated | Index | Help
| ContactCenters V. 0.9.9.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

To submit a bug or ask questions, send an e-mail to Richard Simard.